﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows;

namespace testSummaries
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            XamDataGrid1.DataSource = CreateDataSource().DefaultView;
            //xamDataGrid1.FieldSettings.AllowSummaries = true;
        }
        public DataTable CreateDataSource()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add(new DataColumn("Name", typeof(string)));
            dt.Columns.Add(new DataColumn("NegativeSum", typeof(int)));
            dt.Columns.Add(new DataColumn("PositiveSum", typeof(int)));

            Random rnd = new Random();
            int value;
            for (int i = 0; i < 10; i++)
            {
                DataRow row = dt.NewRow();

                value = ((i & 1) == 1 ? -i : i) * 13;

                row[0] = "Item " + i;
                row[1] = value;
                row[2] = -value;

                dt.Rows.Add(row);
            }
            return dt;
        }
    }
    public class AConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Type t = value as Type;
            if(t != null && Utilities.IsNumericType(t))
            {
                return Infragistics.Windows.Helpers.KnownBoxes.HorizontalAlignmentRightBox;
            }
            else
                return Infragistics.Windows.Helpers.KnownBoxes.HorizontalAlignmentLeftBox;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }

}
